Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043383
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-03-02 13:562020-03-23 16:30
ReporteravicenteView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision2b7bdaa8c5f7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043383: wrong behaviour in the hook OBMOBC_PrePaymentSelected

Description1. The hook OBMOBC_PrePaymentSelected is executed not only when a payment method is selected (that's right) but also when any key in the keyboard is clicked, for example a number key, that is wrong.

2. In addition, when the total amount button is clicked, by default, there is always a selected payment method. In this case, the hook is not executed and it should be.
Steps To ReproduceN/A check hook OBMOBC_PrePaymentSelected
Proposed SolutionFor the first point, just call to the hook when payment method keys are clicked.

For the second point, call to the hook when the total amount button is clicked for the by default payment method
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0118762)
hgbot (developer)
2020-03-23 15:56

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 71e718824612d1d8db46678ac22051c283f69d1d
Author: Prakash M <prakash <at> qualiantech.com>
Date: Mon Mar 23 15:55:00 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/71e718824612d1d8db46678ac22051c283f69d1d [^]

Fixed BUG-43383: OBMOBC_PrePaymentSelected hook will be called only on payment select

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---
(0118763)
hgbot (developer)
2020-03-23 15:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2b7bdaa8c5f79f224e24e3d783eff12f92c338ce
Author: Prakash M <prakash <at> qualiantech.com>
Date: Tue Mar 17 18:07:04 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b7bdaa8c5f79f224e24e3d783eff12f92c338ce [^]

Fixed BUG-43383: OBMOBC_PrePaymentSelected hook will be called on default payment select

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0118765)
hgbot (developer)
2020-03-23 16:30

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 33f6644c80b38130d53784d8441361ef20fc26c3
Author: Prakash M <prakash <at> qualiantech.com>
Date: Mon Mar 23 20:57:57 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/33f6644c80b38130d53784d8441361ef20fc26c3 [^]

Related to BUG-43383: Included paymentInfo param in OBMOBC_PrePaymentSelected hook

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---

- Issue History
Date Modified Username Field Change
2020-03-02 13:56 avicente New Issue
2020-03-02 13:56 avicente Assigned To => Retail
2020-03-02 13:56 avicente Triggers an Emergency Pack => No
2020-03-17 07:34 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-03-17 07:34 prakashmurugesan88 Status new => scheduled
2020-03-23 15:56 hgbot Checkin
2020-03-23 15:56 hgbot Note Added: 0118762
2020-03-23 15:56 hgbot Status scheduled => resolved
2020-03-23 15:56 hgbot Resolution open => fixed
2020-03-23 15:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/71e718824612d1d8db46678ac22051c283f69d1d [^]
2020-03-23 15:59 hgbot Checkin
2020-03-23 15:59 hgbot Note Added: 0118763
2020-03-23 15:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/71e718824612d1d8db46678ac22051c283f69d1d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b7bdaa8c5f79f224e24e3d783eff12f92c338ce [^]
2020-03-23 16:30 hgbot Checkin
2020-03-23 16:30 hgbot Note Added: 0118765


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker